Is 1.1.3 required for rentals?

Discussion in 'iPod touch' started by wingnut8, Jan 16, 2008.

  1. wingnut8 macrumors 65816

    wingnut8

    Joined:
    Jun 8, 2007
    #1
    Just curious if I had to update to firmware 1.1.3 in order to watch rented movies... I didn't want to rent a movie if I had to update.
     
  2. Pippen Man macrumors regular

    Joined:
    Jan 15, 2008
    #2
    Yup, and right now I'm on a 1.1.3 iPod lobbying toward going back to 1.1.1 because of the Movie Rentals.
     
  3. pab277 macrumors regular

    Joined:
    Sep 27, 2007
    #3
    yea, you need 1.1.3 to rent movies. Because when you first update the ipod touch to 1.1.3 it says the update includes the capability for itunes movie rentals and bug fixes.
     
  4. wingnut8 thread starter macrumors 65816

    wingnut8

    Joined:
    Jun 8, 2007
  5. archurban macrumors 6502a

    archurban

    Joined:
    Aug 4, 2004
    Location:
    San Francisco, CA
    #5
    why? do you use jailbreak touch? well, just wait for a while. somebody will bring 1.1.3 jailbreak soon. yeah, you need 1.1.3 for movie rental.

    I personally don't like hacking. I just like to use original thing. so guess what? I just upgrade software yesterday. I am happy. even after February you don't have to hack yours anymore because developers will sell their apps through itunes. then you could buy one. some of them maybe offer for free.
     

Share This Page